pull/1/head
Thorn Inurcide 9 years ago
parent fbfde8a6b8
commit 28389aa148

@ -1,4 +0,0 @@
Still needed and available at SBo
1. Avahi
2. Krb5

@ -0,0 +1 @@
12/29/2015 Removed Avahi and krb5 as deps

@ -162,7 +162,7 @@ cd build-${PRGNAM}
-DWITH_SUDO_TDESU_BACKEND="ON" \
-DWITH_NETWORK_MANAGER_BACKEND="ON" \
-DWITH_ASPELL="ON" \
-DWITH_AVAHI="ON" \
-DWITH_AVAHI="OFF" \
-DWITH_LIBART="ON" \
-DWITH_OPENEXR="ON" \
-DWITH_LZMA="ON" \

@ -5,4 +5,3 @@
5. dbus-1-tqt
6. tqca-tls
7. libart_lgpl
8. avahi-tqt (require avahi)

@ -25,7 +25,7 @@
PRGNAM=GraphicsMagick
VERSION=${VERSION:-1.3.21}
BUILD=${BUILD:-1}
TAG=${TAG:-_thorn}
TAG=${TAG:-_tde}
DOCS="ChangeLog* Copyright* NEWS* README* TODO*"

@ -1,181 +0,0 @@
#!/bin/sh
# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
# Copyright 2009, 2010, 2011, 2012, 2013, 2014, 2015 Eric Hameleers, Eindhoven, Netherlands
# Copyright 2015-2016 Thorn Inurcide thorninurcide@gmail.com
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
# any purpose with or without fee is hereby granted, provided that
# the above copyright notice and this permission notice appear in all
# copies.
#
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
PRGNAM=avahi-tqt
VERSION=${VERSION:-R14.0.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_tde}
DOCS="LICENSE"
# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)
TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.tar.bz2"
SRCURL="http://tde-mirror.yosemite.net/trinity/releases/${VERSION}/dependencies/${PRGNAM}-${VERSION}.tar.bz2"
# You can use your own private machine.conf file to overrule machine defaults:
if [ -e $SRCDIR/machine.conf ]; then
. $SRCDIR/machine.conf
elif [ -e /etc/slackbuild/machine.conf ]; then
. /etc/slackbuild/machine.conf
else
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
i?86) export ARCH=i486 ;;
armv7hl) export ARCH=$MARCH ;;
armv6hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$MARCH ;;
esac
fi
# Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
armv7hl) SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
armv6hl) SLKCFLAGS="-O2 -march=armv6 -mfpu=vfp -mfloat-abi=hard"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
*) SLKCFLAGS=${SLKCFLAGS:-"O2"}
SLKLDFLAGS=${SLKLDFLAGS:-""}; LIBDIRSUFFIX=${LIBDIRSUFFIX:-""}
;;
esac
fi
case "$ARCH" in
arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
*) TARGET=$ARCH-slackware-linux ;;
esac
# Exit the script on errors:
set -e
trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
# Catch unitialized variables:
set -u
P1=${1:-1}
# Save old umask and set to 0022:
_UMASK_=$(umask)
umask 0022
# Create working directories:
mkdir -p $OUTPUT
mkdir -p $TMP/tmp-$PRGNAM
mkdir -p $PKG
rm -rf $PKG/*
rm -rf $TMP/tmp-$PRGNAM/*
rm -rf $OUTPUT/{checkout,configure,make,install,error,makepkg,patch}-$PRGNAM.log
# Source file availability:
if ! [ -f ${SOURCE} ]; then
echo "Source '$(basename ${SOURCE})' not available yet..."
# Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
echo "Will download file to $(dirname $SOURCE)"
wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
fi
else
echo "File '$(basename ${SOURCE})' not available... aborting the build."
exit 1
fi
fi
if [ "$P1" == "--download" ]; then
echo "Download complete."
exit 0
fi
cd $TMP/tmp-$PRGNAM
echo "Extracting the source archive(s) for $PRGNAM..."
if $(file ${SOURCE} | grep -qi ": 7-zip"); then
7za x ${SOURCE}
elif $(file ${SOURCE} | grep -qi ": zip"); then
unzip ${SOURCE}
else
tar -xvf ${SOURCE}
fi
cd dependencies
cd ${PRGNAM}
chown -R root:root .
chmod -R u+w,go+r-w,a+rX-st .
./autogen.sh
LDFLAGS="$SLKLDFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--with-distro=slackware \
--enable-introspection=auto \
--disable-static \
--enable-shared \
--build=$ARCH-slackware-linux \
make || exit 1
make DESTDIR=$PKG install || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/install
cat $SRCDIR/slack-desc > $PKG/install/slack-desc
cd $PKG
makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz}
cd $OUTPUT
md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz} > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-txz}.md5
cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
# Restore the original umask:
umask ${_UMASK_}

@ -1,19 +0,0 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
avahi-tqt: avahi-tqt (avahi-tqt)
avahi-tqt:
avahi-tqt: avahi-tqt
avahi-tqt:
avahi-tqt:
avahi-tqt:
avahi-tqt:
avahi-tqt:
avahi-tqt:
avahi-tqt:
avahi-tqt: Home: https://www.trinitydesktop.org/index.php

@ -25,7 +25,7 @@
PRGNAM=mp4v2
VERSION=${VERSION:-2.0.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_thorn}
TAG=${TAG:-_tde}
DOCS="COPYING README*"

@ -33,7 +33,7 @@ PRGNAME=speexdsp
VERSION=${VERSION:-1.2rc2}
VER=${VER:-1.2rc3}
BUILD=${BUILD:-1}
TAG=${TAG:-_thorn}
TAG=${TAG:-_tde}
DOCS="AUTHORS ChangeLog* COPYING NEWS README* TODO"

@ -0,0 +1,2 @@
Freetype issue I was having has been fixed, Thank you AlienBob!

@ -1,14 +1,9 @@
THIS WILL MOST LIKELY INTERFERE WITH KDE
The build order is listed in each folder. Build the 3rdparty-deps first, then Deps,
then the Core.
3rdparty-deps are required with how I have these built. You can view the very short list
in the folder and get them from SBo for now. Well krb5 you can probably do without.
Maybe avahi as well if you feel like editing the build scripts.
Build the Deps first, then the core.
You can choose to build optional packages from Apps
Has build scripts that automate the build process
I'm running Slackware Current. So these are untested on Stable.
Freetype issue I was having has been fixed, Thank you AlienBob!

Binary file not shown.

Before

Width:  |  Height:  |  Size: 321 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.5 MiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 279 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 540 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 610 KiB

Binary file not shown.

Before

Width:  |  Height:  |  Size: 447 KiB

@ -34,6 +34,9 @@ ROOT=$(pwd)
# Loop for all packages
for dir in \
Deps\GraphicsMagick \
Deps\mp4v2 \
Deps\speex \
Deps/tqt3 \
Deps/tqtinterface \
Deps/arts \
@ -41,7 +44,6 @@ for dir in \
Deps/dbus-1-tqt \
Deps/tqca-tls \
Deps/libart_lgpl \
Deps/avahi-tqt \
; do
# Get the package name
package=$(echo $dir | cut -f2- -d /)

Loading…
Cancel
Save